AviatoAviato
DeveloperAPI ReferenceJobs

/api/jobs

GET
/api/jobs

Query Parameters

libraryId?string

Filter by library ID

Length1 <= length
status?string

Comma-separated list of statuses to filter by (e.g. "running,pending")

Response Body

application/json

application/json

curl -X GET "https://example.com/api/jobs"
{
  "jobs": [
    {
      "id": "string",
      "type": "scan",
      "libraryId": "string",
      "pluginId": "string",
      "status": "pending",
      "priority": 0,
      "payload": {
        "property1": null,
        "property2": null
      },
      "result": {
        "property1": null,
        "property2": null
      },
      "progress": 0,
      "errorMessage": "string",
      "createdAt": "string",
      "startedAt": "string",
      "completedAt": "string"
    }
  ],
  "counts": {
    "pending": 0,
    "running": 0,
    "completed": 0,
    "failed": 0,
    "cancelled": 0
  },
  "completedLastMinute": 0
}
{
  "error": "string"
}